com.holonplatform.datastore.jdbc.dialect

## Class SQLiteDialect

- java.lang.Object
- - com.holonplatform.datastore.jdbc.dialect.SQLiteDialect

- All Implemented Interfaces:
    JdbcDialect, Serializable

      public class SQLiteDialect
      extends Object
      implements JdbcDialect

  SQLite `JdbcDialect`.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `JdbcDialect.DialectResolutionContext, JdbcDialect.LimitHandler, JdbcDialect.SQLFunction, JdbcDialect.SQLParameterProcessor, JdbcDialect.SQLPathProcessor, JdbcDialect.SQLValueDeserializer, JdbcDialect.StatementConfigurationException, JdbcDialect.StatementConfigurator, JdbcDialect.StatementParameterHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLiteDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteStatementAliasSupported()` Get whether alias is supported in the DELETE clause.
    `boolean` | `generatedKeyAlwaysReturned()` Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
    `Optional<JdbcDialect.LimitHandler>` | `getLimitHandler()` Get the `JdbcDialect.LimitHandler`
    `Optional<JdbcDialect.SQLParameterProcessor>` | `getParameterProcessor()` Get the dialect `JdbcDialect.SQLParameterProcessor`.
    `JdbcDialect.StatementConfigurator` | `getStatementConfigurator()` Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
    `Optional<JdbcDialect.StatementParameterHandler>` | `getStatementParameterHandler()` Get the dialect `JdbcDialect.StatementParameterHandler`.
    `JdbcDialect.SQLValueDeserializer` | `getValueDeserializer()` Get the `JdbcDialect.SQLValueDeserializer` to use to deserialize SQL query results.
    `void` | `init(JdbcDatastore datastore)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `supportGetGeneratedKeyByName()` Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
    `boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
    `boolean` | `supportsLikeEscapeClause()` Retrieves whether this database supports specifying a `LIKE` escape clause.
    `boolean` | `useOuterInJoins()` Get whether to use the `OUTER` keyword in join serialization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `deleteStatementTargetRequired, getColumnName, getFunction, getPathProcessor, getPrimaryKey, getTableName`

- - ### Constructor Detail

    - #### SQLiteDialect

          public SQLiteDialect()

  - ### Method Detail

    - #### init

          public void init(JdbcDatastore datastore)
                    throws SQLException

      Description copied from interface: `JdbcDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `JdbcDialect`
      Parameters:
        `datastore` - Parent datastore
      Throws:
        `SQLException` - An error occurred during dialect initialization

    - #### getStatementConfigurator

          public JdbcDialect.StatementConfigurator getStatementConfigurator()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
      Specified by:
        `getStatementConfigurator` in interface `JdbcDialect`
      Returns:
        The StatementConfigurator (not null)

    - #### getParameterProcessor

          public Optional<JdbcDialect.SQLParameterProcessor> getParameterProcessor()

      Description copied from interface: `JdbcDialect`
      Get the dialect `JdbcDialect.SQLParameterProcessor`.
      Specified by:
        `getParameterProcessor` in interface `JdbcDialect`
      Returns:
        Optional SQLParameterProcessor

    - #### getStatementParameterHandler

          public Optional<JdbcDialect.StatementParameterHandler> getStatementParameterHandler()

      Description copied from interface: `JdbcDialect`
      Get the dialect `JdbcDialect.StatementParameterHandler`.
      Specified by:
        `getStatementParameterHandler` in interface `JdbcDialect`
      Returns:
        Optional StatementParameterHandler

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()

      Description copied from interface: `JdbcDialect`
      Retrieves whether this database supports specifying a `LIKE` escape clause.
      Specified by:
        `supportsLikeEscapeClause` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()

      Description copied from interface: `JdbcDialect`
      Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
      Specified by:
        `supportsGetGeneratedKeys` in interface `JdbcDialect`
      Returns:
        `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()

      Description copied from interface: `JdbcDialect`
      Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds. The key that is returned may or may not be based on the column(s) for the auto generated key.
      Specified by:
        `generatedKeyAlwaysReturned` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### useOuterInJoins

          public boolean useOuterInJoins()

      Description copied from interface: `JdbcDialect`
      Get whether to use the `OUTER` keyword in join serialization.
      Specified by:
        `useOuterInJoins` in interface `JdbcDialect`
      Returns:
        `true` to use the `OUTER` keyword in join serialization

    - #### deleteStatementAliasSupported

          public boolean deleteStatementAliasSupported()

      Description copied from interface: `JdbcDialect`
      Get whether alias is supported in the DELETE clause.
      Specified by:
        `deleteStatementAliasSupported` in interface `JdbcDialect`
      Returns:
        `true` if alias is supported in the DELETE clause

    - #### supportGetGeneratedKeyByName

          public boolean supportGetGeneratedKeyByName()

      Description copied from interface: `JdbcDialect`
      Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
      Specified by:
        `supportGetGeneratedKeyByName` in interface `JdbcDialect`
      Returns:
        `true` if auto-generated keys can be retrieved by name after a statement has executed

    - #### getLimitHandler

          public Optional<JdbcDialect.LimitHandler> getLimitHandler()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.LimitHandler`
      Specified by:
        `getLimitHandler` in interface `JdbcDialect`
      Returns:
        Optional limit handler

    - #### getValueDeserializer

          public JdbcDialect.SQLValueDeserializer getValueDeserializer()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.SQLValueDeserializer` to use to deserialize SQL query results.
      Specified by:
        `getValueDeserializer` in interface `JdbcDialect`
      Returns:
        The SQLValueDeserializer (not null)

Copyright © 2017 The Holon Platform. All rights reserved.